@import "./variable.scss";
/**
* Loading component
*/
.loading-stub {position: absolute;width: 100%;height: 100%;visibility: hidden;opacity:0;z-index: -1;pointer-events:none;
     &.active{z-index: 100000;visibility: visible;opacity:1;pointer-events:all;}
     &:after{content: '';position: absolute;left: calc(50% - 25px);top: calc(50% - 25px);width: 50px;height: 50px;border-radius: 50%;border: 6px solid #EEEEEE;border-top-color: #BFBFBF;border-bottom-color: #BFBFBF;animation: section-left 2.5s infinite ease-in-out;-webkit-animation: section-left 2.5s infinite ease-in-out !important;}
     &:before{content: '';position: absolute;width: 100%;height: 100%;left:0;top:0;background: rgba(255,255,255,.99);}
}
/**
* /Loading component
*/


.plus-icon{width: 24px;z-index: 10;height: 24px;display: flex;align-items: center;justify-content: center;transition: all 0.125s ease;cursor:pointer;
     &:hover{
          &:before{width: 36px;height: 36px;}
     }
     &:before{content: '';display: block;position: absolute;width: 100%;height: 100%;background-color: $yellow;border-radius: 50%;transition: all 0.125s ease;left:50%;top:50%;transform: translate(-50%, -50%);}

     &.mini{width: 18px;height: 18px;
          .icon_m svg{width: 14px;height: 14px;}
          &:hover{
               &:before{width: 24px;height: 24px;}
          }
     }

     @media (max-width:1279px) {opacity:1;}
     @media (max-width:767px) {
          .icon_m svg{width: 20px;height: 20px;}
     }
}

//
.auto-color-list{display: flex;align-items: center;flex-wrap:wrap;margin-bottom: 3px;
     li:not(.anything-color){width: 13px;height: 13px;margin-right: 4px;margin-bottom: 2px;margin-top: 2px;border-radius:50%;border: 1px solid #ECECEC;}
     .anything-color{margin-right: 5px;}
}

//slick slider
.slick-slider{outline:none;
     *:focus{outline: none;}
     .slick-dots{display: flex;align-items: center;justify-content: center;
          li{width: 10px;height: 10px;border-radius:50%;border: 1px solid #4A4A4A;margin:6px 3px 6px;
               &.slick-active{background: #F8AF00;border-color:#F8AF00;}
               button{display: none;}
          }
     }
}

// order-change-executor component
.order-change-executor{position: static;
     &.active{opacity:1 !important;visibility: visible !important;}
     &__select{position: absolute;left:0;top:35px;width: 105%;z-index: 3;height: 0;
          &>select{opacity:0;}
     }
     //plugin styles
     .select2{width: 100% !important;position: static;display: inline-block;}
}